<?php

//
//	tdsexample.php
//	===========================================================================
//		Blame        : Kevin Lyons <kevin@nol.org>
//		Created      : 2005-02-09
//		Last Updated : 2005-02-09
//		Copyright(c) 2005 Kevin Lyons
//	===========================================================================
//	Description
//	-----------
//		Example code for connecting and querying from an MSSQL/Sybase system 
//	under PHP. 
//		Note that this requires the native PHP mssql support to be compiled in
//	or this code will not function at all.
//

// EDIT HERE -> change this to reflect the location of your freetds.conf
//	Note that you can bypass this if you want to connect directly via
//	port and IP number, more on that in a bit.

putenv("FREETDSCONF='/usr/local/etc/freetds.conf;");

// EDIT HERE -> add your server, username and password
$SERVER = "foo";
$PORT   = 1433;
$USER   = "user";
$PASS   = "pass";

// Do the actual connect to the database
//		If you don't wish to use the freetds.conf file, you can connect directly
//	  by specifying IP:PORT instead of SERVER here. The "standard" way of
//		establishing the connect via IP/INSTANCE will NOT work, use have to use
//		IP:PORT. Note that if you use the IP:PORT method of connecting, you will
//		override the freetds.conf file setup.
$dbh = mssql_connect("$SERVER", $USER, $PASS);
if (!$dbh) {
	echo("<b>ERROR:</b> unable to connect to $SERVER!");
	exit;
}

// EDIT HERE -> add your own query
$query = "select Column1, Column2 from MyTable";

// Pull the results of the query
$res = mssql_query($query);
if (!$res) {
	echo("<B>ERROR:</b> unable to execute query '$query'");
	mssql_close($dbh);
	exit;
}

// and print the results of the query
for($i=0; $i < $mssql_num_rows($res); $i++) { 
	$line = mssql_fetch_row($res);
	foreach ($line as $val) { echo($val . "&nbap;"); }
	echo("<br>");
}

// exit nicely now!
mssql_close($dbh);

exit;
?>
