{ DATABASE onpload  delimiter | }

grant dba to "informix";
grant connect to "public";



{ TABLE "informix".vers row size = 4 number of columns = 1 index size = 0 }
{ unload file name = vers_00100.unl number of rows = 1 }

create table "informix".vers 
  (
    vers integer
  );
revoke all on "informix".vers from "public";

{ TABLE "informix".defaults row size = 86 number of columns = 4 index size = 0 }
{ unload file name = defau00101.unl number of rows = 1 }

create table "informix".defaults 
  (
    node char(18),
    machine char(18),
    datatype char(32),
    dbgls char(18)
  );
revoke all on "informix".defaults from "public";

{ TABLE "informix".delimiters row size = 31 number of columns = 4 index size = 0 
              }
{ unload file name = delim00102.unl number of rows = 33 }

create table "informix".delimiters 
  (
    hex char(2),
    octal char(4),
    ascii char(15),
    control char(10)
  );
revoke all on "informix".delimiters from "public";

{ TABLE "informix".device row size = 348 number of columns = 9 index size = 33 }
{ unload file name = devic00103.unl number of rows = 20 }

create table "informix".device 
  (
    name char(18),
    seq integer,
    type char(5),
    file char(128),
    blocksize integer,
    devicesize integer,
    pipecommand char(128),
    lockflag char(1),
    header text
  );
revoke all on "informix".device from "public";

create index "informix".ix100_1 on "informix".device (name);
{ TABLE "informix".driver row size = 19 number of columns = 2 index size = 0 }
{ unload file name = drive00104.unl number of rows = 3 }

create table "informix".driver 
  (
    drivername char(18),
    drivertype char(1)
  );
revoke all on "informix".driver from "public";

{ TABLE "informix".filters row size = 31 number of columns = 5 index size = 12 }
{ unload file name = filte00105.unl number of rows = 0 }

create table "informix".filters 
  (
    formid serial not null ,
    projectid integer,
    formatid integer,
    name char(18),
    lockflag char(1)
  );
revoke all on "informix".filters from "public";

create unique index "informix".ix101_1 on "informix".filters (formid);
    
{ TABLE "informix".filteritem row size = 93 number of columns = 5 index size = 12 
              }
{ unload file name = filte00106.unl number of rows = 0 }

create table "informix".filteritem 
  (
    formid integer,
    seq integer,
    fname char(18),
    option char(7),
    match char(60)
  );
revoke all on "informix".filteritem from "public";

create index "informix".ix101_2 on "informix".filteritem (formid);
    
{ TABLE "informix".formats row size = 220 number of columns = 19 index size = 12 
              }
{ unload file name = forma00107.unl number of rows = 1 }

create table "informix".formats 
  (
    formid serial not null ,
    projectid integer,
    name char(18),
    type char(10),
    driver char(18),
    machine char(18),
    datatype char(18),
    recordlength integer,
    recordstrt char(15),
    recordstrty char(10),
    recordend char(15),
    recordendt char(10),
    fieldsep char(15),
    fieldsept char(10),
    fieldstrt char(15),
    fieldstrty char(10),
    fieldend char(15),
    fieldendt char(10),
    lockflag char(1)
  );
revoke all on "informix".formats from "public";

create unique index "informix".ix103_1 on "informix".formats (formid);
    
{ TABLE "informix".formatitem row size = 61 number of columns = 9 index size = 12 
              }
{ unload file name = forma00108.unl number of rows = 16 }

create table "informix".formatitem 
  (
    formid integer,
    seq integer,
    fname char(18),
    ftype integer,
    bytes integer,
    decimals integer,
    offset integer,
    qual integer,
    picture char(15)
  );
revoke all on "informix".formatitem from "public";

create index "informix".ix113_2 on "informix".formatitem (formid);
    
{ TABLE "informix".language row size = 34 number of columns = 2 index size = 0 }
{ unload file name = langu00109.unl number of rows = 0 }

create table "informix".language 
  (
    langcode integer,
    lang char(30)
  );
revoke all on "informix".language from "public";

{ TABLE "informix".machines row size = 41 number of columns = 7 index size = 0 }
{ unload file name = machi00110.unl number of rows = 6 }

create table "informix".machines 
  (
    machinename char(18),
    byteorder char(3),
    shortsize integer,
    intsize integer,
    longsize integer,
    floatsize integer,
    doublesize integer
  );
revoke all on "informix".machines from "public";

{ TABLE "informix".maps row size = 112 number of columns = 9 index size = 12 }
{ unload file name = maps_00111.unl number of rows = 2 }

create table "informix".maps 
  (
    projectid integer,
    formid serial not null ,
    name char(18),
    type char(6),
    dbname char(30),
    qtable char(27),
    query char(18),
    formatid integer,
    lockflag char(1)
  );
revoke all on "informix".maps from "public";

create unique index "informix".ix104_1 on "informix".maps (formid);
    
{ TABLE "informix".mapitem row size = 44 number of columns = 4 index size = 12 }
{ unload file name = mapit00112.unl number of rows = 32 }

create table "informix".mapitem 
  (
    formid integer,
    seq integer,
    colname char(18),
    fname char(18)
  );
revoke all on "informix".mapitem from "public";

create index "informix".ix104_2 on "informix".mapitem (formid);
    
{ TABLE "informix".mapoption row size = 291 number of columns = 18 index size = 12 
              }
{ unload file name = mapop00113.unl number of rows = 0 }

create table "informix".mapoption 
  (
    formid integer,
    seq integer,
    bytes integer,
    minvalue float,
    maxvalue float,
    ccase char(18),
    justify char(18),
    fill char(1),
    picture char(55),
    coloffset integer,
    recoffset integer,
    function char(55),
    looktable char(18),
    matchcol char(18),
    coldefault char(18),
    inputcode char(18),
    storecode char(18),
    blobcolumn char(18)
  );
revoke all on "informix".mapoption from "public";

create index "informix".ix104_3 on "informix".mapoption (formid);
    
{ TABLE "informix".note row size = 90 number of columns = 6 index size = 45 }
{ unload file name = note_00114.unl number of rows = 0 }

create table "informix".note 
  (
    type char(18),
    formid integer,
    projectid integer,
    createdate date,
    modifydate date,
    note text
  );
revoke all on "informix".note from "public";

create unique index "informix".ix105_1 on "informix".note (type,
    formid,projectid);
{ TABLE "informix".project row size = 26 number of columns = 3 index size = 12 }
{ unload file name = proje00115.unl number of rows = 0 }

create table "informix".project 
  (
    name char(18),
    projectid serial not null ,
    dcreate date
  );
revoke all on "informix".project from "public";

create unique index "informix".ix107_1 on "informix".project (projectid);
    
{ TABLE "informix".query row size = 131 number of columns = 7 index size = 12 }
{ unload file name = query00116.unl number of rows = 20 }

create table "informix".query 
  (
    formid serial not null ,
    projectid integer,
    name char(18),
    database char(30),
    arrayname char(18),
    lockflag char(1),
    sqlselect text
  );
revoke all on "informix".query from "public";

create unique index "informix".ix108_1 on "informix".query (formid);
    
{ TABLE "informix".session row size = 735 number of columns = 34 index size = 0 }
{ unload file name = sessi00117.unl number of rows = 40 }

create table "informix".session 
  (
    sessiontype char(1),
    automate char(1),
    lockflag char(1),
    sessionid serial not null ,
    name char(20),
    status char(1),
    server char(40),
    map char(27),
    infile char(160),
    hostname char(40),
    dbname char(30),
    filter char(18),
    recordfilter char(80),
    suspensefile char(80),
    rejectfile char(80),
    logfile char(80),
    projectid integer,
    headersize integer,
    quiet integer,
    tracelevel integer,
    sourcetrace integer,
    multicthread integer,
    blocksize integer,
    filetype integer,
    number_records integer,
    start_record integer,
    maxerrors integer,
    swapbytes integer,
    runmode integer,
    loadmode integer,
    caseconvert integer,
    commitinterval integer,
    socketport integer,
    numtapes integer
  );
revoke all on "informix".session from "public";



grant select on "informix".vers to "public" as "informix";
grant update on "informix".vers to "public" as "informix";
grant insert on "informix".vers to "public" as "informix";
grant delete on "informix".vers to "public" as "informix";
grant index on "informix".vers to "public" as "informix";
grant select on "informix".defaults to "public" as "informix";
grant update on "informix".defaults to "public" as "informix";
grant insert on "informix".defaults to "public" as "informix";
grant delete on "informix".defaults to "public" as "informix";
grant index on "informix".defaults to "public" as "informix";
grant select on "informix".delimiters to "public" as "informix";
grant update on "informix".delimiters to "public" as "informix";
grant insert on "informix".delimiters to "public" as "informix";
grant delete on "informix".delimiters to "public" as "informix";
grant index on "informix".delimiters to "public" as "informix";
grant select on "informix".device to "public" as "informix";
grant update on "informix".device to "public" as "informix";
grant insert on "informix".device to "public" as "informix";
grant delete on "informix".device to "public" as "informix";
grant index on "informix".device to "public" as "informix";
grant select on "informix".driver to "public" as "informix";
grant update on "informix".driver to "public" as "informix";
grant insert on "informix".driver to "public" as "informix";
grant delete on "informix".driver to "public" as "informix";
grant index on "informix".driver to "public" as "informix";
grant select on "informix".filters to "public" as "informix";
grant update on "informix".filters to "public" as "informix";
grant insert on "informix".filters to "public" as "informix";
grant delete on "informix".filters to "public" as "informix";
grant index on "informix".filters to "public" as "informix";
grant select on "informix".filteritem to "public" as "informix";
grant update on "informix".filteritem to "public" as "informix";
grant insert on "informix".filteritem to "public" as "informix";
grant delete on "informix".filteritem to "public" as "informix";
grant index on "informix".filteritem to "public" as "informix";
grant select on "informix".formats to "public" as "informix";
grant update on "informix".formats to "public" as "informix";
grant insert on "informix".formats to "public" as "informix";
grant delete on "informix".formats to "public" as "informix";
grant index on "informix".formats to "public" as "informix";
grant select on "informix".formatitem to "public" as "informix";
grant update on "informix".formatitem to "public" as "informix";
grant insert on "informix".formatitem to "public" as "informix";
grant delete on "informix".formatitem to "public" as "informix";
grant index on "informix".formatitem to "public" as "informix";
grant select on "informix".language to "public" as "informix";
grant update on "informix".language to "public" as "informix";
grant insert on "informix".language to "public" as "informix";
grant delete on "informix".language to "public" as "informix";
grant index on "informix".language to "public" as "informix";
grant select on "informix".machines to "public" as "informix";
grant update on "informix".machines to "public" as "informix";
grant insert on "informix".machines to "public" as "informix";
grant delete on "informix".machines to "public" as "informix";
grant index on "informix".machines to "public" as "informix";
grant select on "informix".maps to "public" as "informix";
grant update on "informix".maps to "public" as "informix";
grant insert on "informix".maps to "public" as "informix";
grant delete on "informix".maps to "public" as "informix";
grant index on "informix".maps to "public" as "informix";
grant select on "informix".mapitem to "public" as "informix";
grant update on "informix".mapitem to "public" as "informix";
grant insert on "informix".mapitem to "public" as "informix";
grant delete on "informix".mapitem to "public" as "informix";
grant index on "informix".mapitem to "public" as "informix";
grant select on "informix".mapoption to "public" as "informix";
grant update on "informix".mapoption to "public" as "informix";
grant insert on "informix".mapoption to "public" as "informix";
grant delete on "informix".mapoption to "public" as "informix";
grant index on "informix".mapoption to "public" as "informix";
grant select on "informix".note to "public" as "informix";
grant update on "informix".note to "public" as "informix";
grant insert on "informix".note to "public" as "informix";
grant delete on "informix".note to "public" as "informix";
grant index on "informix".note to "public" as "informix";
grant select on "informix".project to "public" as "informix";
grant update on "informix".project to "public" as "informix";
grant insert on "informix".project to "public" as "informix";
grant delete on "informix".project to "public" as "informix";
grant index on "informix".project to "public" as "informix";
grant select on "informix".query to "public" as "informix";
grant update on "informix".query to "public" as "informix";
grant insert on "informix".query to "public" as "informix";
grant delete on "informix".query to "public" as "informix";
grant index on "informix".query to "public" as "informix";
grant select on "informix".session to "public" as "informix";
grant update on "informix".session to "public" as "informix";
grant insert on "informix".session to "public" as "informix";
grant delete on "informix".session to "public" as "informix";
grant index on "informix".session to "public" as "informix";


create synonym "informix".jobs for "informix".session;



 







 

